<ion-modal-view>
  <ion-header-bar>
    <h1 class="title">Edit User Info</h1>
    <div class="buttons">
      <button class="button button-icon ion-ios-close-empty" ng-click="closeEditInfo()"></button>
    </div>
  </ion-header-bar>
  <ion-content>
    <form name="updateProfileForm" class="updateProfileForm" novalidate="">
		<div class="error-container last-error-container" ng-show="((updateProfileForm.line1.$error || updateProfileForm.baranggay.$error || updateProfileForm.city.$error || updateProfileForm.state.$error || updateProfileForm.zip.$error || updateProfileForm.country.$error || updateProfileForm.birthday.$error) && updateProfileForm.$submitted)" >
			<p>Fields marked with * are required</p>
		</div> 	
	<div class="list"> 
		<label class="item item-input item-stacked-label" ng-class="{ 'has-errors' : updateProfileForm.line1.$invalid && updateProfileForm.$submitted, 'no-errors' : updateProfileForm.line1.$valid  && updateProfileForm.$submitted}">
		  <span class="input-label">Address line 1*</span>
		  <input type="text" name="line1" ng-model="profile.line1" required>
		</label> 

		<label class="item item-input item-stacked-label" ng-class="{ 'has-errors' : updateProfileForm.baranggay.$invalid && updateProfileForm.$submitted, 'no-errors' : updateProfileForm.baranggay.$valid  && updateProfileForm.$submitted}">
		  <span class="input-label">Brgy.*</span>
		  <input type="text" name="baranggay" ng-model="profile.baranggay" required>
		</label>
 
		<label class="item item-input item-stacked-label" ng-class="{ 'has-errors' : updateProfileForm.city.$invalid && updateProfileForm.$submitted, 'no-errors' : updateProfileForm.city.$valid  && updateProfileForm.$submitted}">
		  <span class="input-label">City*</span>
		  <input type="text" name="city" ng-model="profile.city" required>
		</label>

		<label class="item item-input item-stacked-label" ng-class="{ 'has-errors' : updateProfileForm.spr.$invalid && updateProfileForm.$submitted, 'no-errors' : updateProfileForm.spr.$valid  && updateProfileForm.$submitted}">
		  <span class="input-label">State/Provice/Region*</span>
		  <input type="text" name="spr" ng-model="profile.spr" required>
		</label>
		
		<label class="item item-input item-stacked-label" ng-class="{ 'has-errors' : updateProfileForm.country.$invalid && updateProfileForm.$submitted, 'no-errors' : updateProfileForm.country.$valid  && updateProfileForm.$submitted}">
		  <span class="input-label">Country*</span>
		  <input type="text" name="country" ng-model="profile.country" required>
		</label>

		<label class="item item-input item-stacked-label" ng-class="{ 'has-errors' : updateProfileForm.zip.$invalid && updateProfileForm.$submitted, 'no-errors' : updateProfileForm.zip.$valid  && updateProfileForm.$submitted}">
		  <span class="input-label">Zip Code*</span>
		  <input type="text" name="zip" ng-model="profile.zip" required>
		</label>

		<div class="item item-input item-stacked-label" ng-class="{ 'has-errors' : updateProfileForm.birthday.$invalid && updateProfileForm.$submitted, 'no-errors' : updateProfileForm.birthday.$valid  && updateProfileForm.$submitted}">
		  <span class="input-label">Birthday*</span>
		  <input type="text"  name="birthday" ng-model="profile.birthday" placeholder="e.g. 02/18/1989" style="width:90%; float:left" required>
		    <button ion-button type="button button-icon ion-ios-calendar-outline" style=" float:left" class="item-right button-positive placeholder-button" ng-click="openDatePicker1()"> 
				<i class="icon ion-ios-calendar-outline" ></i>
			</button>
	 
		</div>

		<label class="item item-input item-stacked-label">
		  <span class="input-label">School</span>
		  <input type="text" ng-model="profile.school">
		</label>

		<label class="item item-input item-stacked-label">
		  <span class="input-label">Work(Company - Position)</span>
		  <input type="text" ng-model="profile.work">
		</label>

		<label class="item item-input item-stacked-label">
		  <span class="input-label">Interests</span>
		  <input type="text" ng-model="profile.interests">
		</label>

		<label class="item item-input item-stacked-label">
		  <span class="input-label">Hobbies</span>
		  <input type="text" ng-model="profile.hobbies">
		</label>
		
  
	</div>
      
      <div class="center padding">
        <button class="button button-block button-royal" type="submit" ng-click="updateUserInfo(updateProfileForm)">Save changes</button>
      </div>
    </form>   
	
 
  </ion-content>
</ion-modal-view>
